aboutsummaryrefslogtreecommitdiffstats
path: root/main/smokeping/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/smokeping/APKBUILD')
-rw-r--r--main/smokeping/APKBUILD14
1 files changed, 11 insertions, 3 deletions
diff --git a/main/smokeping/APKBUILD b/main/smokeping/APKBUILD
index 827da56bf9..fdd63c97bc 100644
--- a/main/smokeping/APKBUILD
+++ b/main/smokeping/APKBUILD
@@ -2,14 +2,16 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=smokeping
pkgver=2.4.2
-pkgrel=2
+pkgrel=3
pkgdesc="Smokeping network latency monitoring"
pkgusers="smokeping"
pkggroups="smokeping"
install="$pkgname.pre-install"
url="http://oss.oetiker.ch/smokeping/"
source="http://oss.oetiker.ch/smokeping/pub/smokeping-$pkgver.tar.gz
- smokeping.initd"
+ smokeping.initd
+ CVE-2012-0790.patch
+ "
depends="perl fping rrdtool perl-rrd
perl-uri-escape
perl-digest-hmac
@@ -26,6 +28,11 @@ _vendorlib=/usr/share/perl5/vendor_perl
prepare() {
cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
# provided by perl-digest-hmac
rm -rf lib/Digest
# provided by perl-cgi-session
@@ -109,4 +116,5 @@ package() {
}
md5sums="eb8e7679fcad35e59d7c51f2328250a2 smokeping-2.4.2.tar.gz
-550979e008f49299bf404aceeb81fe61 smokeping.initd"
+550979e008f49299bf404aceeb81fe61 smokeping.initd
+80aa1a15ae94034520336a2c1605ca51 CVE-2012-0790.patch"